import pyb
from pyb import Pin,SPI
from ssd1306 import SSD1306
import _thread
import time
from machine import Pin
display = SSD1306(pinout={'sda': 'PB7','scl': 'PB6'},height=64,external_vcc=False)
p_out = Pin('PB12', Pin.OUT_PP)
def funcA(sec):
	time.sleep(sec)
	p_out.low()
	spi = SPI(2, SPI.MASTER, baudrate=2000, polarity=0, phase=0,crc=0x7,bits=8,firstbit=SPI.MSB)
	spi.send(0x9f) #发送固定指令，读取指令
	data=spi.recv(2) #接收id号
	p_out.high()
	print (data)
	if data==b'\xef0':
		print("SPI FLASH OK")
		spiflashok=1
	else:
		print("SPI FLASH ERROR")
		spiflashok=0
	try:
		display.poweron()
		display.init_display()
		if spiflashok==1:
			display.draw_text(1,1,' 25x40 OK')
		else:
			display.draw_text(1,1,'25x40 ERROR')
		while True:
			display.display()
			time.sleep_ms(30)
	except Exception as ex:
		print('Unexpected error: {0}'.format(ex))
if __name__ == '__main__':
	_thread.start_new_thread(funcA, (1,))